Update Webhook - MindBridge Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

PUT

/v1/webhooks/{webhookId}

Update Webhook

cURL

curl --request PUT \
  --url https://{tenant}.mindbridge.ai/api/v1/webhooks/{webhookId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '\
{\
  "version": 123,\
  "name": "<string>",\
  "url": "<string>",\
  "technicalContactId": "<string>",\
  "events": []\
}\
'

Python

import requests

url = "https://{tenant}.mindbridge.ai/api/v1/webhooks/{webhookId}"

payload = {
    "version": 123,
    "name": "<string>",
    "url": "<string>",
    "technicalContactId": "<string>",
    "events": []
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    version: 123,
    name: '<string>',
    url: '<string>',
    technicalContactId: '<string>',
    events: []
  })
};

fetch('https://{tenant}.mindbridge.ai/api/v1/webhooks/{webhookId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/webhooks/{webhookId}",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "PUT",\
  CURLOPT_POSTFIELDS => json_encode([\
    'version' => 123,\
    'name' => '<string>',\
    'url' => '<string>',\
    'technicalContactId' => '<string>',\
    'events' => [\
\
    ]\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>",\
    "Content-Type: application/json"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Golang

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/webhooks/{webhookId}"

payload := strings.NewReader("{\n  \"version\": 123,\n  \"name\": \"<string>\",\n  \"url\": \"<string>\",\n  \"technicalContactId\": \"<string>\",\n  \"events\": []\n}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Java (Unirest)

HttpResponse<String> response = Unirest.put("https://{tenant}.mindbridge.ai/api/v1/webhooks/{webhookId}")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"version\": 123,\n  \"name\": \"<string>\",\n  \"url\": \"<string>\",\n  \"technicalContactId\": \"<string>\",\n  \"events\": []\n}")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://{tenant}.mindbridge.ai/api/v1/webhooks/{webhookId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"version\": 123,\n  \"name\": \"<string>\",\n  \"url\": \"<string>\",\n  \"technicalContactId\": \"<string>\",\n  \"events\": []\n}"

response = http.request(request)
puts response.read_body

Response

200

{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "name": "<string>",
  "url": "<string>",
  "technicalContactId": "<string>",
  "events": [],
  "publicKey": "<string>",
  "keyGenerationTimestamp": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization

string

header

required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.